USN-537-1: gnome-screensaver vulnerability
Posted on: 10/24/2007 09:15 AM

A new gnome-screensaver vulnerability update is available for Ubuntu Linux. Here the announcement:

Ubuntu Security Notice USN-537-1 October 23, 2007
gnome-screensaver vulnerability
CVE-2007-3920
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D

A security issue affects the following Ubuntu releases:

Ubuntu 7.10

This advisory also applies to the corresponding versions of
Kubuntu, Edubuntu, and Xubuntu.

The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 7.10:
gnome-screensaver 2.20.0-0ubuntu4.2

After a standard system upgrade you need to restart your session to affect
the necessary changes.

Details follow:

Jens Askengren discovered that gnome-screensaver became confused when
running under Compiz, and could lose keyboard lock focus. A local
attacker could exploit this to bypass the user's locked screen saver.


Updated packages for Ubuntu 7.10:

Source archives:

http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2.diff.gz
Size/MD5: 22567 59f266ec6eb94b6a903e19b0ba0ddc0a
http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2.dsc
Size/MD5: 1245 7a751fbd47821da72e6a980027a48011
http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0.orig.tar.gz
Size/MD5: 2320018 db71d89c66fa3a96b3b276403b5bb723

amd64 architecture (Athlon64, Opteron, EM64T Xeon):

http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2_amd64.deb
Size/MD5: 1587250 2fdaaea4518774413cc48137d5f71f70

i386 architecture (x86 compatible Intel/AMD):

http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2_i386.deb
Size/MD5: 1570186 93d6f27e6334ae4022234d3fd165ade9

powerpc architecture (Apple Macintosh G3/G4/G5):

http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2_powerpc.deb
Size/MD5: 1605514 edeb052d5d0ccaa97085fd69f6b4f25a

sparc architecture (Sun SPARC/UltraSPARC):

http://security.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/gnome-s=
creensaver_2.20.0-0ubuntu4.2_sparc.deb
Size/MD5: 1576650 9eaac4a063ae54792d052590c9bc4bc1


--0zDq8CFkxn2hi9iJ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHHmMEH/9LqRcGPm0RAo8hAJ0VqfVjbzTvfPYMSd7SOfOAUsoXEACghcuV
cPihhjzcvPP+RH6oSe8/s3U=
=J4kW
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/usn_537_1_gnome_screensaver_vulnerability.html)